{lib, ...}: let
  desktopFiles = [
    "boot"
    "filesystem"
    "graphics"
    "hardware"
    "networking"
    "sops"
  ];
in {
  imports = map (file: ./${file}.nix) desktopFiles;
  nixpkgs.hostPlatform = lib.mkForce "x86_64-linux";
  system.stateVersion = lib.mkForce "24.05";
}
